summaryrefslogtreecommitdiffstats
path: root/development/qt-creator/qt-creator.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/qt-creator/qt-creator.SlackBuild')
-rw-r--r--development/qt-creator/qt-creator.SlackBuild26
1 files changed, 18 insertions, 8 deletions
diff --git a/development/qt-creator/qt-creator.SlackBuild b/development/qt-creator/qt-creator.SlackBuild
index 26638d4438..91390d5318 100644
--- a/development/qt-creator/qt-creator.SlackBuild
+++ b/development/qt-creator/qt-creator.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for Qt Creator
@@ -26,11 +26,14 @@
# For building -rc or -beta releases, set VERSION to something like:
# VERSION=4.2.0_rc1 or VERSION=4.2.0_beta1 (note the underscore).
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=qt-creator
-VERSION=${VERSION:-4.13.3}
+VERSION=${VERSION:-5.0.3}
SRCVER=$(echo $VERSION | tr _ -)
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -40,7 +43,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -67,7 +77,7 @@ cd $TMP
rm -rf $PRGNAM-$SRCVER
tar xvf $CWD/$PRGNAM-opensource-src-$SRCVER.tar.gz
-mv $PRGNAM-opensource-src-$SRCVER $PRGNAM-$SRCVER
+#mv $PRGNAM-opensource-src-$SRCVER $PRGNAM-$SRCVER
cd $PRGNAM-$SRCVER
chown -R root:root .
@@ -75,9 +85,9 @@ chmod -R a-st,u+rwX,go-w+rX .
# Adjust docs location.
-sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" qtcreator.pri
-sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" doc/qtcreatordev/src/qtcreator-documentation.qdoc
-sed -i "s|share/doc/\${IDE_ID}|doc/$PRGNAM-$VERSION|g" cmake/QtCreatorAPI.cmake
+sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" qtcreator.pri || exit 1
+sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" doc/qtcreatordev/src/qtcreator-documentation.qdoc || exit 1
+sed -i "s|share/doc/\${IDE_ID}|doc/$PRGNAM-$VERSION|g" cmake/QtCreatorAPI.cmake || exit 1
# LLVM/Clang can be used to extend Qt Creator functionality.
@@ -140,4 +150,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE